Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.ext.typeinfo
Interface HasMetaData

All Known Implementing Classes:
  JAbstractMethod, JAnnotationMethod, JAnnotationType, JArrayType, JClassType, JConstructor, JEnumConstant, JEnumType, JField, JGenericType, JMethod, JParameter, JParameterizedType, JRawType, JRealClassType, JTypeParameter, JWildcardType

    public interface HasMetaData

Manages doc comment metadata for an AST item. The structure of the metadata attempts to mirror the way in which tags and values were originally declared.

For example, for the following declaration

     /**
      * @myTag value1 value2
      * @myTag value3 value4
      * ...

a call to `getMetaData("myTag")` would return this array of string arrays

    [0][0] = value1
    [0][1] = value2
    [1][0] = value3
    [1][1] = value4

Method Summary
`void` | `addMetaData(java.lang.String tagName, java.lang.String[] values)` Deprecated. Javadoc comment metadata has been deprecated in favor of proper Java annotations. The only way to add a Java annotation is via the source code.
`java.lang.String[][]` | `getMetaData(java.lang.String tagName)` Deprecated. Javadoc comment metadata has been deprecated in favor of proper Java annotations. See `HasAnnotations.getAnnotation(Class)` for equivalent functionality.
`java.lang.String[]` | `getMetaDataTags()` Deprecated. Javadoc comment metadata has been deprecated in favor of proper Java annotations. The `HasAnnotations` interface does not support a mechanism to enumerate all of the annotations on a member; the type of the desired annotation must be known.

Method Detail

### addMetaData

    @Deprecated
    void addMetaData(java.lang.String tagName,
                                java.lang.String[] values)

  Deprecated. Javadoc comment metadata has been deprecated in favor of proper Java annotations. The only way to add a Java annotation is via the source code.

  Adds additional metadata.

### getMetaData

    @Deprecated
    java.lang.String[][] getMetaData(java.lang.String tagName)

  Deprecated. Javadoc comment metadata has been deprecated in favor of proper Java annotations. See `HasAnnotations.getAnnotation(Class)` for equivalent functionality.

  Gets each list of metadata for the specified tag name.

### getMetaDataTags

    @Deprecated
    java.lang.String[] getMetaDataTags()

  Deprecated. Javadoc comment metadata has been deprecated in favor of proper Java annotations. The `HasAnnotations` interface does not support a mechanism to enumerate all of the annotations on a member; the type of the desired annotation must be known.

  Gets the name of available metadata tags.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD